CHANGELOG
Unknown Horizons
-----------------------------------------------------

2011-04-16: Milestone 2011.1
changelog date: APR 16; rev: 3e0151a23dbd0de8b4ac6c697099963eeb59abc7

* General
  * New: DFSG compatible branch ready to be included in e.g. official debian repos
  * New: enet for darwin-x64 => MP possible on mac as well
  * New: Implemented placement and save/load of fish tiles
  * New: Keep statistics about how many res have been produced at a settlement
  * New: Introduced a simple way to create special change listeners
  * New: scenario conditions related to production of resources and units
  * New: settlement now has a list of buildings for each type
  * New: Moved to new tileset structure // not merged yet
  * New: Made new fife editor work with new tileset structure // not merged yet
  * New: xml loading method, using filename as widget name
  * New: New flags for production lines, enhanced output in print_db_data.py
  * New: Added several comments to xml files
  * New: Tooltips no longer need '\n' hard coded
  * Change: Use \n optionally to force a newline in tooltips
  * Change: xml widget file names have to be unique
  * Change: Using show_popup method instead of own xml files for popups
  * Change: Refactored resource display when hovering settlements
  * Change: Refactored mechanism that notifies if production is finished
  * Change: Removed deprecated ProductionFinishedListener and on_remove handle
  * Change: Harmonized callbacks, now use horizons.util.Callback everywhere
  * Change: Detection of exact matches with map file autocompletion in command
            line interface (--start-map / --start-campaign / --load-map)
  * Change: Capitalized resource names
  * Change: Renamed runin to run_in
  * Change: Renamed all occurences of 'campaign' to 'scenario'
  * Change: Separated popup creation and display in show_popup
  * Change: show_popup is used everywhere in our code now
  * Change: Improvements to the buildtool
  * Change: added is_selectable attribute to concreteobject
  * Change: Removed old, unmaintained pathfinding tests
  * Change: Moved outdated documentation files to misc repository
  * Change: 1024x768 is current minimum resolution
  * Change: Multiplayer lobby now also displays mismatching games and hints this
  * Change: Disabled pychan debug mode by default
  * Fix: Re-introduced svn legacy code for easier Win snapshots (github provides
         all repositories as svn if desired => same client to clone FIFE and UH)
  * Fix: Game did not start with an umlaut/special character in settings.xml
  * Fix: Updated string extraction script to dynamic widget loading
  * Fix: minor issue concerning the creation of random islands
  * Fix: issue with quick- and autosaving
  * Fix: crash when pausing boatbuilder
  * Fix: crash when activating a mine that has already run out of resources
  * Fix: crash when building clay pit or iron mine
  * Fix: crash when clicking on units that are not selectable
  * Fix: crash when saving a game where a fisher ship's hut got demolished while
         the ship was outside of it
  * Fix: crash when building a fisher
  * Fix: crash when building branch office
  * Fix: crash when building branch office from ship after fisher was selected
  * Fix: bug with the removed non-buildable trees
  * Fix: possible source of bugs that can occur when saving moving units
  * Fix: crash when collectors got cancelled while heading home
  * Fix: Saving from main menu now properly handles errors
  * Fix: uh-builder script works again

* Gameplay and Balancing
  * New: animals no further reproduce when over-populating an island
  * New: Save remaining part of month for buildings for paying running costs
  * New: Map rotation with , and . keys
  * New: hotkey L for displaying or hiding logbook ingame
  * New: Cam focuses selected group (Ctrl-[num] to group, [num] to select)
  * New: Single non-player units can be selected via dragging
  * Change: Buildings can be grouped
  * Change: default value of transfer amount in trade tab now is 50t
  * Change: islands on map get amount of mountains and clay deposits
  * Change: Collectors can only pick up goods at mine entrance
  * Change: Fish deposit now 1x1 (was 3x3)
  * Change: Smeltery now 4x4 (was 3x3)
  * Change: Charcoal burning now 2x3 (was 4x2)
  * Change: Distillery running costs now 10/5 (was 20/10)
  * Change: Tavern running costs now 5/0 (was 0/0)
  * Change: inhabitants at level Settlers consume 1 food per 75 seconds (was 60)
            and produce 12 happiness (was 13) and
            produce 5 happiness per education (was 3)
  * Change: Temporarily removed our sheep and made pasture produce lamb wool
  * Change: Lamb wool production 50% faster
  * Change: Updated tutorial (fisher)
  * Change: Fisher now uses a boat and needs fish tiles in range to produce food
  * Change: Fisher boat no longer is selectable
  * Change: Fisher boat can drive through shallow water (coastline)
  * Change: selecting a fisher only highlights fish swarms in range, no island
            or sea / water tiles
  * Change: Boatbuilder now produces a (useless) fisherboat
  * Fix: Constructing trails through several buildings not possible anymore
  * Fix: minor bug concerning decommissioning
  * Fix: signal fire was not selectable
  * Fix: tabs of tabwidget blocked large area (width 50 px) all over the screen
  * Fix: Taxes no longer start at 0 when a game is loaded
  * Fix: animals can no longer be handled by two collectors simultaneously
  * Fix: collectors can now reach each building in displayed range
  * Fix: settlers not being able to level up

* Graphics and GUI
  * New: tooltips for resources in buysell tab
  * New: animated graphics for our fish resource tile. Thanks @ OpenGameArt.org!
  * New: many icons for build menu and resources
  * New: build menu tab-icons for increments 3 to 6
  * New: updated increment graphics for pavilion
  * New: updated increment graphics for signal fire
  * New: building graphics for charcoal burning
  * New: building graphics for several mountains
  * New: building graphics for iron mine
  * New: building graphics for distillery
  * New: building graphics for smeltery
  * New: building graphics for toolmaker
  * New: building graphics for pasture
  * New: placeholders for all buildings of increment 3 we have no assets for
  * New: unit 'inhabitant male'
  * New: unit 'inhabitant male 2'
  * New: unit 'hunter'
  * New: unit 'carrier'
  * New: unit 'fisher boat'
  * New: boatbuilder preview images for our current fisher boat
  * New: inactive icons if no logbook navigation possible in this direction
  * New: attack cursor
  * New: Replaced 'Chime the bell' with info about contributing and Summer of Code
  * New: Added slider value display
  * New: Scrolling through savegames updates Save Details
  * New: minimap rotation with setting
  * New: introduced xml shortcuts for some TooltipButtons and background Icons
  * Change: Retouched many icons for build menu and resources
  * Change: building graphics for brickyard now animated
  * Change: animation time for signal fire
  * Change: selecting buildings only create outline around building instead of
            fully coloring it
  * Change: Don't show trees that are not buildable in build preview
  * Change: Disabling focus for widgets that shouldn't be focusable
  * Change: Sailors build menu 50 px bigger to better fit the other tabs
  * Change: display 'nothing' resource icon in buysell slots by default
  * Change: boatbuilder displays current progress if production is paused
  * Change: save-related settings now sliders instead of listboxes
  * Change: Centered settings window
  * Change: altered text wrap behaviour in tooltips
  * Change: Allow more than one headline per widget
  * Change: Ingame menu and Main menu are more similar
  * Change: Modified default style
  * Fix: Made \n in tooltips be recognised again
  * Fix: Load correct graphics for buildings with versions differing from
         increment to increment
  * Fix: display of production lines with multiple input or output resources

* Translations
  * New: tutorial translations: Dutch, Italian, French
  * New: translations: Russian, Slovenian
  * New: simple script to compile translations on Windows.
         Needs msgfmt in $PATH.
  * New: Translate difficulty, author, description in create_scenario_pot.sh
  * New: Allows translation of all scenarios in create_scenario_pot.sh
  * Change: Added sorted() call to ensure small guitranslations.py diffs
  * Change: Updated labels to achieve unified spelling style
  * Change: Updated translation template
  * Change: Updated almost all translations

* Audio
  * New: two completely new gameplay tracks
  * New: one remastered gameplay track
  * Change: Replaced build.ogg by own file licensed under CC-BY-SA 3.0
  * Change: Replaced ships_bell.ogg by a file licensed under CC-0
  * Change: hazure relicensed our lumberjack sounds under CC-BY-SA 3.0
  * Change: Moved license file for sounds to main LICENSE

... and a lot more smaller bugfixes as well as improvements.

-----------------------------------------------------

2010-09-17: Milestone 2010.1
* General
  * New: tutorial
  * New: start german docbook manual
  * New: introduced scenarios and captains log
  * New: Updated a bunch of documentation and updated the incode tutorial
  * New: Implemented support for changing building gfx (any building) on
         increment upgrade. (autoupgrade).
  * New: Tried to make storage collectors more intelligent by making them
         prefer pickups at buildings whose inventory is full.
  * New: Add --version option to run_uh.py
  * New: applied some optimisation to the buildingtool
  * New: Expanded UhDbReader
  * New: This adds i18n support to setup.py
  * New: Do not require a restart for toggling sound
  * New: Limited the messagewidget to 5 messages max on screen
  * New: Game now pauses when logbook is shown
  * New: community resource icon.
  * New: inhabitant tab of the marketplace
  * New: Included system info in debug output
  * New: multiplayer
  * New: Print to log why systemwide fife can't be imported, if so. (usually,
         it will say 'not found', but in some cases, there could be other
         import issues, where the error message can be of some help)
  * New: Added commandline flag to restore the default settings:
         --restore-settings
  * New: Pressing enter in a change name dialog (for ship or settlement) now
         acts as submit button.
  * New: Applied patch by Yeya to improve random map generation.
  * New: Game will now create a settings.xml file on first program launch
         containing the new settings, it's now used instead of the old sqlite
         database
  * New: Added community ressource as requirement for settlers
  * New: Marketplace now produces the community resource
  * New: add --mp-master commandline option (Syntax: --mp-master=ip:port or
         --mp-master=ip (+ default port))
  * New: Extend .bat to use debug with '--debug', default is still non debug
  * New: Included system info in debug output
  * New: better description for --mp-bind
  * New: Added commandline flag to restore the default settings:
         --restore-settings
  * New: don't import fife from global python module path if --fife-path is
         set
  * New: (savegame revisioning patch) closed by dario
  * New: updated help to include chat hotkey
  * New: create new traders when there are many settlements
  * New: Implemented the pause/resume production button for the boatbuilder
  * New: Add a QuickLoad per keystroke while in the main menu F9
  * New: Use full, native, language names in the settings dialog
  * New: Made highlighting buildable tiles about twice as fast
  * New: Made rect.get_radius_coordinates() at least 2 to 4 times faster
  * New: Made building radius preview (the yellow stuff) about 30% faster
  * New: Added claypit to the game
  * New: Made clay pit produce clay
  * New: Made bricks collected by the storage
  * New: Increase savegame version
  * New: F9 in mainmenu will quickload now
  * New: Increase generator for randommaps
  * New: bash based uh-builder script
  * New: Add important screen resolutions
  * Change: Tents are now in lvl 1 when built
  * Change: Improve autoscroll, should increase the performance
  * Change: Increase the deep water tile size by a factor of 10. Should
            improve performance quite a bit, especially when above water
  * Change: Removed Settings class in favor of the new fife_settings module
  * Change: All settings are now managed by the new extension
  * Change: Some settings have been moved to the constants, like View and Tick
            settings
  * Change: Made textiles a level 2 requirement instead of level 1
  * Change: moved farm, weaver, pasture, potatofield to 2nd increment. -
            rearranged ...
  * Change: Rename cannonboat to huker
  * Change: Refactored engine sound management code
  * Change: Toggling sound on/off no longer requires reboot
  * Change: Reworked directory structure for new tile and path sets
  * Change: make UH version string using git revisions
  * Fix: Workaround: Disabled middle mouse button scrolling
  * Fix: Added layer for fields fixes #521
  * Fix: fixed segfault caused by quitting UH while preloading thread is
         active
  * Fix: Empty city or ship name make problems
  * Fix: added patch from cubathy, Bug when switching language
  * Fix: Fixed bug that allowed you to build fields over each other
  * Fix: Fixed setup.py install the unknown-horizons executable into
         /usr/games
  * Fix: The attached patch avoids that boats are created at the same place
  * Fix: Stupid hack to make UH work with umlauts in the user dir on windows
  * Fix: FIXED by FIFE :D  (Doubleclick in menu to confirm)
  * Fix: Game autoscrolls into corner
  * Fix: crash by removing storage tent
  * Fix: Don't crash when loading corrupted save files. Instead give a nice
         error to retry.

* Graphics and GUI
  * New: Added lumberjack building for pioneer increment
  * New: Added gfx for pioneers house
  * New: Added a second pioneers house
  * New: Added school model for pioneers
  * New: Added new level 2 farm model.
  * New: Added Clay Pit gfx
  * New: Added a building and resource tree made
  * New: Added clay resource
  * New: Added brickyard
  * New: Added multiplayer lobby with chat and ingamechat
  * New: Added new weaver model, and moved from sailors to pioneers
  * New: Added an overview tab to the signal fire.
  * New: Display a tab when clicking on resource deposit
  * New: Added new player emblems
  * New: Trader got an own overview tab
  * New: add global storage display to the ships inventory
  * Change: Credits are now splitted into multiple pages with tabs
  * Change: Logbook now flips pages like a real book
  * Change: New boat builder tab
  * Change: Replaced as_pirate0 with new gfx set (armed sloop)
  * Change: Updated several build menu icons
  * Change: Slightly re-ordered settings menu

* Sound
  * New: Theme by novatlan

* Translations
  * New: Added Catalan; Valencian translation
  * New: Added Portuguese (Brazil) translation
  * New: Added Spanish; Castilian translation
  * New: Added Estonian translation
  * New: Added Estonian translation
  * New: Added Italian translation
  * Change: Updated English translation
  * Change: Updated German translation; added German tutorial
  * Change: Updated Polish translation
  * Change: Updated French translation

... and a lot more smaller bugfixes.

-----------------------------------------------------

2009-10-18: Milestone 2009.2
* General
  * New: The game creates logfiles now; You can find them in your user folder
         in ".unknown-horizons/log"
  * New: Wild animals graze on the islands
  * New: Hunters tent which produces food from wild animals
  * New: Added a function to load a map directly via the command line
  * New: The free trader will only visit your settlement if you place the signal
         fire near your branch office
  * New: Some new minor options in the market place menu
  * New: Allow changing the tax rate
  * New: It's now possible to change the name of your ship or settlement
  * New: Started implementing the second settlement level: settlers
  * New: Added potato field as food source
  * New: Working autosave function
  * New: Implemented autorotate for buildings on coastlines
  * New: The ship is now placed randomly
  * New: If the settlers happiness falls below a specific level, the tent
         changes to a ruin
  * New: Implemented a players name and color
  * New: Added a school (no graphic at the moment)
  * New: Added sugar fields (no graphic at the moment)
  * New: Added a few messages that informs the player about different grievances
  * New: Started work on random maps
  * New: Started work on the scenario system
  * New: Implemented a mini tutorial
  * New: Added account tab for market which shows the financial overview of the settlement
  * New: Fade out nearby buildings/trees while building
  * New: System for settlers happieness, consumation and taxation
  * Change: The game uses bigger water-tiles now to improve the performance
  * Change: Completely changed the farm system: There is only one farm building
            which can cultivate any kind of field including sheep-runs
  * Change: Screenshots are now saved into the users folder
  * Fix: Changing the colordepth to 32 Bit works now without a crash
  * Fix: Many code and speed optimizations in general
  * Fix: The savegames work properly now (small trees, …)
  * Fix: Player's ship got stuck on the left lower side of the map in some cases
  * Fix: Changed some stuff relating to the translation
  * Fix: Fixed the temporary freeze if the player tried to send a ship onto land

* Graphics and GUI
  * New: Added tooltips
  * New: Button to resume a paused game in the pause menu
  * New: Button to switch to destruction mode
  * New: Added a clickable minimap
  * New: Added graphics for potato field and pasture
  * New: Added message buttons for different kinds of messages
  * New: Added graphic for tent ruin
  * New: Highlight the currently selected quantity of goods in exchange menu
  * New: Gamespeed is now displayed in the upper right corner
  * New: Added icon for farm and potato field
  * Change: Disabled the inventory of settlers
  * Change: Changed the style of the pause menu
  * Change: Improved building graphics of Church and Farm
  * Change: Rearanged the building menu
  * Change: Changed some other GUI menus
  * Change: Added a production line with a button to disable production
  * Change: Changed buttons for selecting quantity in exchange menu
  * Change: Unused required ressource icons in ressource bar are now hidden

* Sound
  * New: Added ambient sounds for chapel and fisher
  * New: Added sound when founding a new settlement
  * New: Added sound when winning a mission

* Translations
  * New: Added polish translation
  * Change: Updated some translation files
  * Change: Changed some volume settings

... and a lot more smaller bugfixes.

-----------------------------------------------------

2009-07-08: Milestone 2009.1
* General
  * New: Boadbuilder class with unitcreation, it's possible to build ships
  * New: Support for translating the whole GUI was added, including
         German, French, Portuguese and Norwegian translations, add
         language choose menu in settings
  * New: Load/save function for maps
  * New: Start work at wildanimals
  * New: Random start position for playership
  * New: add commandline arguments --start-map; --enable-unstable-features;
  * New: Add logging system
  * New: Add debug modul option for commandline --debug-module
  * New: debug messages are now only shown by using ./run_uh.py -d
  * New: Add new tabwidget
  * New: Ship radius when building is now updated on the fly if the ship
         moves
  * New: Manpage
  * New: Change Style of the mainmenu and all submenus
  * New: Add Developermap with only one small island
  * New: Translations in Portuguese Norwegian German French
  * Change: Hotkeys: set g for grid, b for buildmenu and d for debugger
  * Fix: Building speed has been improved, lumberjack preview is now
         almost lagfree.
  * Fix: Loading speed has been improved
  * Fix: Tearing buildings no longer crashes the game
  * Fix: All exceptions when ending a session have been taken care of
  * Fix: Fixed trading bug; selling resources now gives you money
  * Fix: building multiple streets with one click
  * Fix: Main menu doesn't disappear when loading a game

* Graphics and GUI
  * New: Completly new ingame GUI
  * New: Graphics for boat builder
  * New: Graphics for hunter
  * New: Two new variations for inhabitants
  * New: Second model for inhabitants tent
  * Change: Little update on main square
  * Change: Slightly retouched cursor graphics
  * Change: Look of help and creditsmenu

* Sound
  * New: Main theme by Tobias Escher

... and a lot more smaller bugfixes.

-----------------------------------------------------

2009-03-08: Milestone 2009.0
* General
  * New: Added a free trader that sells and buys the players goods
  * New: Buildings are now rotatable
  * New: Buy/Sell menu
  * New: Add running costs and an option to decomission buildings to the game
  * New: Started basic work on Gettext support for adding different languages to the game
  * New: Isles get filled randomly with trees on startup
  * New: New Map
  * Change: Changed name from OpenAnno to Unknown Horizons
  * Change: Rebuilt ship inventory
  * Change: Random tree/building on build
  * Change: Lumberjack cuts trees randomly
  * Change: Massive changes in the content directory structure to allow easier implementation of animations
  * Fix: Crash in build mode
  * Fix: Collectors use tents as path
  * Fix: Crash in Destruction mode - mouse drag
  * Fix: Trees being build over existing sreets and trees autotearing them down
  * Fix: Herder goes backwards and his sheeps are all at the same place
  * Fix: Turning menu: picture and building are asynchron
  * Fix: Stock don't increase after building a storage tent
  * Fix: Weater steal in other weater's tent.
  * Fix: Resource Transfer crashes game when out of range
  * Fix: Buildable status only updated on mouse move

* Graphics and GUI
  * New: New building main square, where inhabitants get their ressources
  * New: Icons for switching game speed
  * New: New model for signal fire
  * New: New models for different types of trees
  * Change: Resized buildings and units
  * Change: Added new graphics for units
  * Change: New graphics for main ship and trader
  * Change: Redesign of build menu, added icons of buildable objects
  * Change: New tileset
  * Change: Unified lighting on renderings
  * Change: Updated Buildings: Softened shadows, added some grass, texture work
  * Fix: ship-trademenu and mainmenu are overlapping
  * Fix: Unified lighting in renderings

* Sound
  * New: Implemented build sound
  * New: Added ambient sounds for lumberjack, herder, main square and branch office
  * New: Rolloff function for sound, which fades ambient sounds depending on the position on the map
  * New: New Song Beware the Ship's Kobold!
  * New: Functionality to adjust volume level for music and effects
  * New: Implemented event based speech output
  * New: Added four different sounds to welcome you on the map

... and a lot more smaller bugfixes.

Many thanks go to all developers, contributors, testers and supporters.
